%global momorel 1

Summary: Extensions for Epiphany
Name:    epiphany-extensions
Version: 2.22.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Internet
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://www.gnome.org/projects/epiphany/extensions.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: epiphany-extensions-2.20.3-gcc43.patch
BuildPreReq: epiphany-devel >= 2.22.0
BuildPrereq: opensp-devel >= 1.5.2
BuildPrereq: GConf2

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1 -b .gcc43~

%build
%configure --disable-schemas-install --disable-scrollkeeper
%make

%install
%{__rm} -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf --preserve-root %{buildroot}/var/lib/scrollkeeper
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas > /dev/null

%files
%defattr(-, root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas
%{_datadir}/locale/*/*/*
%{_datadir}/epiphany-extensions
%{_datadir}/omf/epiphany-extensions/epiphany-extensions-*.omf
%{_libdir}/epiphany/2.22/extensions/*
%{_datadir}/gnome/help/epiphany-extensions
%{_datadir}/epiphany/icons/hicolor/*/status/*

%changelog
* Wed Apr 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Sun Feb 17 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.20.3-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Mon Jul  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Tue May 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Fri May 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Sun Apr 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.18.0-2m)
- rebuild against opensp
- modified BuildPrereq, openjade-devel -> opensp-devel

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-2m)
- revice %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-1m)
- update to 2.17.4 (unstable)

* Sat Nov 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Tue Apr 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0.1-1m)
- update 2.14.0.1

* Sat Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.2-1m)
- update to 1.8.2
- enable gcc-4.1
- - Patch0: epiphany-extensions-1.8.2-gcc41.patch

* Sun Nov 27 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.1-1m)
- update to 1.8.1 (for epiphany 1.8.2)

* Sat Jun 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-2m)
- rebuild against openjade-1.3.2-3m

* Thu Mar 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-1m)
- update to 1.4.5

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.4.4-1m)
- Initial specfile
>>>>>>> .merge-right.r12647
